/*
 * LeaseGranter.java
 *
 * Created on August 28, 2007, 8:46 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
package com.ericsson.ssa.config.lease;


/**
 *
 * @author ELNELBO
 */
public abstract class LeaseGranter<E> {
    /** Creates a new instance of LeaseGranter */
    public LeaseGranter() {
    }

    public abstract boolean renew(Lease<E> lease);

    public abstract void cancel(Lease<E> lease);
}
